CKEDITOR.dialog.add('boxDialog', function (editor) {
    var disable = false;
    return {
        title: 'Box Properties',
        minWidth: 400,
        minHeight: 200,
        contents: [
            {
                id: 'tab-basic',
                label: 'Basic Settings',
                elements: [
                    {
                        type: 'hbox',
                        width: ['50%', '50%'],
                        children: [
                            {
                                type: 'text',
                                id: 'boxWidth',
                                label: 'Box Width',
                                default: '50%',
                                validate: CKEDITOR.dialog.validate.notEmpty("Box-Height field cannot be empty.")
                            },
                            {
                                type: 'text',
                                id: 'boxMinHeight',
                                label: 'Box Minimum Height',
                                default: "200px",
                                validate: CKEDITOR.dialog.validate.notEmpty("Box-Height field cannot be empty.")
                            }
                        ]
                    },
                    {
                        type: 'hbox',
                        width: ['20%', '25%', '25%', '30%'],
                        marginTop: "5px",
                        children: [
                            {
                                type: 'text',
                                id: 'boxRadius',
                                label: 'Border Radius',
                                default: "5px",
                                width: "100%"
                            },
                            {
                                type: 'select',
                                id: 'borderWidth',
                                label: 'Border Width',
                                items: [['1px'], ['1.5px'], ['2px'], ['2.5px'], ['3px'], ['3.5px'], ['4px'], ['4.5px'], ['5px']],
                                default: '2px',
                                width: "100%"
                            },
                            {
                                type: 'select',
                                id: 'borderType',
                                label: 'Border Type',
                                items: [['Dotted'], ['Dashed'], ['Solid'], ['Double']],
                                default: 'Solid',
                                width: "100%"
                                // onChange: function( api ) {
                                // 	// this = CKEDITOR.ui.dialog.select
                                // 	// alert( 'Current value: ' + this.getValue() );
                                // }
                            },
                            {
                                type: 'select',
                                id: 'borderColor',
                                label: 'Border Colour',
                                items: [['White'], ['Black'], ['Grey'], ['DarkGrey'], ['Red'], ['Blue'], ['Green'], ['Yellow'], ['Orange']],
                                default: 'Black',
                                width: "100%"
                                // onChange: function( api ) {
                                // 	// this = CKEDITOR.ui.dialog.select
                                // 	// alert( 'Current value: ' + this.getValue() );
                                // }
                            }
                        ]
                    },
                    {
                        type: 'hbox',
                        width: ['25%', '25%', '25%', '25%'],
                        marginTop: "5px",
                        children: [
                            {
                                type: 'text',
                                id: 'paddingTop',
                                label: 'Padding Top',
                                default: "1px"
                            },
                            {
                                type: 'text',
                                id: 'paddingBottom',
                                label: 'Padding Bottom',
                                default: "1px"
                            },
                            {
                                type: 'text',
                                id: 'paddingLeft',
                                label: 'Padding Left',
                                default: "1px"
                            },
                            {
                                type: 'text',
                                id: 'paddingRight',
                                label: 'Padding Right',
                                default: "1px"
                            }
                        ]
                    },
                    {
                        type: 'hbox',
                        width: ['25%', '25%', '25%', '25%'],
                        marginTop: "5px",
                        children: [
                            {
                                type: 'text',
                                id: 'marginTop',
                                label: 'Margin Top',
                                default: "1px"
                            },
                            {
                                type: 'text',
                                id: 'marginBottom',
                                label: 'Margin Bottom',
                                default: "1px"
                            },
                            {
                                type: 'text',
                                id: 'marginLeft',
                                label: 'Margin Left',
                                default: "1px",
                                disabled: true
                            },
                            {
                                type: 'text',
                                id: 'marginRight',
                                label: 'Margin Right',
                                default: "1px"
                            }
                        ]
                    },
                    {
                        type: 'checkbox',
                        marginTop: "5px",
                        id: 'boxHorizontalCenter',
                        label: 'Set Horizontal Center',
                        title: "Margin-Left and Margin-Right option will not work if you select this option."
                    }
                ]
            }
        ],
        onOk: function () {
            var dialog = this;

            var box = editor.document.createElement('div');
            box.setStyles({
                margin: "auto",

            });

            box.append('p').setText("Write something");

            // =========== Box Width Set ===========
            var boxWidth = dialog.getValueOf('tab-basic', 'boxWidth');
            // if (boxWidth)
            //     box.setStyle('width', boxWidth);

            // =========== Box Min Height Set ===========
            var boxMinHeight = dialog.getValueOf('tab-basic', 'boxMinHeight');
            if (boxMinHeight)
                box.setStyle('minHeight', boxMinHeight);

            // =========== Box Radius Set ===========
            var boxRadius = dialog.getValueOf('tab-basic', 'boxRadius');
            if (boxRadius)
                box.setStyle('borderRadius', boxRadius);

            // =========== Box Border Set ===========
            var borderWidth = dialog.getValueOf('tab-basic', 'borderWidth');
            var borderType = dialog.getValueOf('tab-basic', 'borderType');
            var borderColor = dialog.getValueOf('tab-basic', 'borderColor');

            if (borderType === "Double") {
                borderWidth = parseFloat(borderWidth.replace("px", ""));
                if (borderWidth < 3) {
                    var temp = 3 - borderWidth;
                    borderWidth = borderWidth + temp;
                }
                borderWidth += 0.5;
                borderWidth += "px";
            }

            box.setStyles({ borderWidth: borderWidth, borderStyle: borderType, borderColor: borderColor });

            // =========== Box Padding Set ===========
            var marginTop = dialog.getValueOf('tab-basic', 'marginTop');
            var marginBottom = dialog.getValueOf('tab-basic', 'marginBottom');
            var marginLeft = dialog.getValueOf('tab-basic', 'marginLeft');
            var marginRight = dialog.getValueOf('tab-basic', 'marginRight');

            box.setStyle('margin', marginTop + ' ' + marginRight + ' ' + marginBottom + ' ' + marginLeft);

            // =========== Box Padding Set ===========
            var paddingTop = dialog.getValueOf('tab-basic', 'paddingTop');
            var paddingBottom = dialog.getValueOf('tab-basic', 'paddingBottom');
            var paddingLeft = dialog.getValueOf('tab-basic', 'paddingLeft');
            var paddingRight = dialog.getValueOf('tab-basic', 'paddingRight');

            box.setStyle('padding', paddingTop + ' ' + paddingRight + ' ' + paddingBottom + ' ' + paddingLeft);

            // =========== Box Horzonal Set =============
            var center = dialog.getValueOf('tab-basic', 'boxHorizontalCenter');

            if (center)
                box.setStyle('margin', paddingTop + ' auto ' + paddingBottom);

            editor.insertElement(box);
        }
    };
});